﻿using MultiselectInGrid.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MultiselectInGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["cities"] = new List<CityViewModel>()
            {
                new CityViewModel() { CityID = 1, CityName = "Sofia" },
                new CityViewModel() { CityID = 2, CityName = "Burgas" },
                new CityViewModel() { CityID = 3, CityName = "Plovdiv" },
                new CityViewModel() { CityID = 4, CityName = "Varna" },
                new CityViewModel() { CityID = 5, CityName = "Ruse" },
                new CityViewModel() { CityID = 6, CityName = "Kaspichan" }
            };

            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your app description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}
